@echo off
echo Effettua setup dei file specifici per i 2 ambienti SP/TK pre build installer: verifica da nome configurazione %1

if %1 == "Release" goto Release
if %1 == "Debug" goto Debug
if %1 == "SP_prod" goto SP_prod
if %1 == "TK_prod" goto TK_prod
if %1 == "SP_test" goto SP_test
if %1 == "TK_test" goto TK_test
if %1 == "IIS01_SP" goto SP_dev
if %1 == "IIS01_TK" goto TK_dev
if %1 == "IIS02_SP" goto SP_test
if %1 == "IIS02_TK" goto TK_test

:Release
echo Release: non devo copiare nulla
goto END

:Debug
echo Debug: non devo copiare nulla
goto END

:Installer
echo Installer: non devo copiare nulla
goto END

:SP_prod
echo SP_prod: copio files San Possidonio
del %2"Reports\*.rdlc"
copy %2"Reports\SP\*" %2"Reports\"
copy %2"images\flusso_SP.png" %2"images\flusso.png"
goto END

:TK_prod
echo TK_prod: copio files Tekal
del %2"Reports\*.rdlc"
copy %2"Reports\TK\*" %2"Reports\"
copy %2"images\flusso_TK.png" %2"images\flusso.png"
goto END

:SP_dev
echo SP_test: copio files San Possidonio
del %2"Reports\*.rdlc"
copy %2"Reports\SP\*" %2"Reports\"
copy %2"images\flusso_SP.png" %2"images\flusso.png"
goto END

:TK_dev
echo TK_test: copio files Tekal
del %2"Reports\*.rdlc"
copy %2"Reports\TK\*" %2"Reports\"
copy %2"images\flusso_TK.png" %2"images\flusso.png"
goto END

:SP_test
echo SP: FIX web.config x sviluppo San Possidonio
del %2"Web.config"
copy %2"Web.config.devSP" %2"Web.config"
echo SP_test: copio files San Possidonio
del %2"Reports\*.rdlc"
copy %2"Reports\SP\*" %2"Reports\"
copy %2"images\flusso_SP.png" %2"images\flusso.png"
goto END

:TK_test
echo TK: FIX web.config x sviluppo Tekal
del %2"Web.config"
copy %2"Web.config.devTK" %2"Web.config"
echo TK_test: copio files Tekal
del %2"Reports\*.rdlc"
copy %2"Reports\TK\*" %2"Reports\"
copy %2"images\flusso_TK.png" %2"images\flusso.png"
goto END

:END
echo Fatto!